###############################################################################
# config file for the worker
###############################################################################

#################
# PadRMI protocol
#################

# GUID (global unique identifier)
# generated automatically if not set here
#padrmi.guid=

# IPv4 address of interface to bind socket to
padrmi.bind.address=__IP__

# port to listen on
padrmi.bind.port=__PUBWEB_PORT__

# maximum backlog length (defaults to 50 if not set)
# (if more unprocessed incoming connections are pending,
# further connections will be rejected)
padrmi.bind.backlog=100

# outside location (may be different when using NAT)
# deactivate when not used
#padrmi.address=
#padrmi.port=

# path with publicly available files (classes and data files)
# list of path names, separated by ";" on Windows and ":" on all other systems
padrmi.path=var/

# print protocol debug output
padrmi.debug=true

################
# PUB-Web worker
################

# PUB-Web user name / password
pubweb.username=guest
pubweb.password=guest

# type of supernode connection
#pubweb.supernode.connection=pubweb.supernode.StaticSupernodeConnector
#pubweb.supernode.connection=pubweb.supernode.DynamicSupernodeConnector
pubweb.supernode.connection=pubweb.supernode.JxtaSupernodeConnector

# parameters for static supernode connector
pubweb.supernode.host=131.234.XXX.XXX
pubweb.supernode.port=4000
pubweb.supernode.guid=testbed

# enable / disable debug output
pubweb.debug=true

# directory where to save tempory backup files
pubweb.dir.backup=var/

# time interval (in seconds) when to report back to supernodes (stay-alive mechanism)
pubweb.time.report=300

# algorithm to determine available computation power
#pubweb.bench=pubweb.worker.bench.SimpleCompPowerEstimator
pubweb.bench=pubweb.worker.bench.AdvancedCompPowerEstimator
#pubweb.bench=pubweb.worker.bench.JcacheEstimator
#pubweb.bench=pubweb.worker.bench.HpcCompPowerEstimator

# AdvancedCompPowerEstimator native library path
pubweb.bench.advanced.libdir=libs/

# hardware specifications
# (obtain via measure-cache-size utility)
pubweb.bench.L1=__L1_CACHE__
pubweb.bench.L2=__L2_CACHE__

# SybilGuard settings
pubweb.sybilguard.active=false

# Timestamping Authority settings
pubweb.timestamping.active=false
pubweb.timestamping.no.authorities=1

#########################
# PUB-Web process servers
#########################

# java executable (absolute path)
pubweb.process.exec=__JAVA_ESC__

# security policy location
pubweb.process.policypath=configs/pubweb-security.policy

# locations of library files
pubweb.process.padrmipath=jars/padrmi.jar
pubweb.process.padmigpath=jars/padmig.jar
pubweb.process.pubwebpath=jars/pubweb.jar
